<?php
class tx_mageconnect_userauth 
{
	/**
	 * Log out current user!
	 * Removes the current session record, sets the internal ->user array to a blank string; Thereby the current user (if any) is effectively logged out!
	 *
	 * @return	void
	 */
	function main() 
	{
		if($this->_getParam('logintype') == 'logout') {
				
			$redir = $this->_getModuleConfig('redirect_on_logout');	
				
			if (!$this->_getParam('redir')) {
				
				$param = '';
					
				switch ($redir) {
					
					case 'TYPO3':
						$param = '?redir=t3';
						break;
					case 'Magento':
						$param = '?redir=mage';
						break;
					default:
						$param = '?source=t3';
				}
				
				// If no single typo3 logout, redirect using global settings
				if ($this->_getParam('single') != 'true') {
					$this->_redirectMagentoLogout($param);
				}
				
			} else {
				// when Magento returns to this procedure and redirect is set to magento
				if ($redir != 'TYPO3' && $redir != 'Magento') {
					// If logout shall be system of logout,
					// we need to redirect or stop now
					$source = $this->_getParam('source');
					
					if ($source == 't3') {
						return;
					} else {
						$this->_redirectMagentoBaseUrl();
						exit();
					}
					
				} else {
					//die('HIER'.$this->_getParam('redir'));
					switch ($this->_getParam('redir')) {
						case 'mage':
							$this->_redirectMagentoBaseUrl();
							exit();
							break;
						case 'config':
							$this->_redirectByConfig();
							break;
					}
				}
			}
		}
	}
	
	/**
	 * _redirectByConfig
	 * Checks config and does an final redirect
	 * with the setting that was set in config
	 * 
	 * @return void
	 */
	function _redirectByConfig()
	{
		$redir = $this->_getModuleConfig('redirect_on_logout');
					
		switch ($redir) {
					
			case 'TYPO3':
				break;
			case 'Magento':
				$this->_redirectMagentoBaseUrl();
				exit();
				break;
		}
	}
	
	
	
	/**
	 * _getModuleConfig
	 * Gets Module Config for MAGEconnect
	 * 
	 * @param string $key
	 * @return string|bool
	 */
	function _getModuleConfig($key = '')
	{
		$modConfigArray = unserialize( $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['mageconnect'] );
		if ($modConfigArray[$key])
		{
			return $modConfigArray[$key];
		}
		return false;
	}
	
	/**
	 * _redirectMagentoLogout
	 * Redirects to magento logout url
	 * 
	 */
	function _redirectMagentoLogout($params = '')
	{
		$url = $this->_getModuleConfig('magento_url') . 'customer/account/logout/' . $params;
		header('location: ' . $url);	
		return;
	}

	/**
	 * _redirectMagentoBaseUrl
	 * Redirects to magento base url
	 * 
	 */
	function _redirectMagentoBaseUrl()
	{
		$url = $this->_getModuleConfig('magento_url');
		header('location: ' . $url);	
		return;
	}
	
	
	/**
	 * _getParam
	 * Gets an parameter 
	 * 
	 * @param string Parameter
	 * @return string|bool
	 * 
	 */	
	function _getParam($parameter)
	{
		if (t3lib_div::_GP($parameter) && $parameter != '')	
			return t3lib_div::_GP($parameter);
			
		return false;	
	}
	
}
