<?php
/**
 * Hook to display verbose information about pi plugin in Web>Page module
 */
class tx_mageconnect_cms_layout 
{
	/**
	 * Returns information about this extension's pi plugin
	 *
	 * @param	array		$params	Parameters to the hook
	 * @param	object		$pObj	A reference to calling object
	 * @return	string		Information about pi1 plugin
	 */
	function getExtensionSummary($params, &$pObj) 
	{
		$result = '';
		
		if ($params['row']['list_type'] == 'mageconnect_pi2') {
			$data = t3lib_div::xml2array($params['row']['pi_flexform']);	
			
			
			if (is_array($data) && $data['data']['general_setting']['lDEF']['productsPid']) {
				
				$display_type = $data['data']['product_setting']['lDEF']['display_type']['vDEF'];
				$productsFrom = $data['data']['product_setting']['lDEF']['products_from']['vDEF'];
				
				$source = '';
				switch ($productsFrom) {
					case 'products_from_select':
						$chosenIds = $data['data']['product_setting']['lDEF']['product_single']['vDEF'];
						$source = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_source_selected');
						break;
					case 'products_from_category':
						$chosenIds = '';
						$source = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_source_category');
						break;
					default:
						$chosenIds = '';
						$source = '';
						break;
				}
				
				
				$typeImg = '';
				switch ($display_type) {
					case 'display_list':
						$typeStr = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_display_list');
						$typeImg = 'icon_display_list.gif';
						break;
					case 'display_grid':
						$typeStr = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_display_grid');
						$typeImg = 'icon_display_grid.gif';
						break;
					case 'display_single':
						$typeStr = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_display_single');
						$typeImg = 'icon_display_single.gif';
						break;
					case 'display_detail':
						$typeStr = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_display_detail');
						$typeImg = 'icon_display_detail.gif';
						break;
					case 'display_markers':
						$typeStr = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_display_markers');
						$typeImg = 'icon_display_markers.gif';
						break;
					case 'dynamic_details':
						$chosenIds = $data['data']['product_setting']['lDEF']['allowed_products']['vDEF'];
						$typeImg = 'icon_dynamic_details.gif';
						$typeStr = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_dynamic_details');
						break;
					default:
						$typeImg = 'icon_not_configured.gif';
						$typeStr = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_not_configured');
						break;
				}
				// Determine image path
				$imageUrl = '/'.t3lib_extMgm::siteRelPath('mageconnect') . 'res/img/'.$typeImg;
				
				$result .= '<img style=\'float:left; margin-right:5px; \' src=\''.$imageUrl.'\' border="0" title=\''.$typeStr.'\' />';
				$result .= ''.$GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_display_type') . ': ';
				$result .= '<strong>'.$typeStr.'</strong>';
				$result .= '<br />';
				$result .= ''.$GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_product_source') . ': ';
				$result .= '<strong>'.$source.'</strong>';
				$result .= '<br />';
				
				if (strlen($chosenIds)) {
					return $result.'(ID\'s: '.$chosenIds.')';
				} 
				return $result.'('.$GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_no_ids_set').')';
			}
			if (!$result) {
				$result = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout_not_configured');
			}
		}
		return $result;
	}
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_cms_layout.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_cms_layout.php']);
}

